<% if (locals.show_answer_hints) { %>
    <% if (locals.answer_regex_trigger_template) { %>
        <datalist id="answer_regex_trigger_template">
            <% for (var i = 0; i < answer_regex_trigger_template.length; ++i) { %>
                <option value="<%- answer_regex_trigger_template[i].regex %>" />
            <% } %>
        </datalist>
    <% } %>
    <div class="card card-body row">
        <span class="pull-right"><a target="_blank" href="https://regex101.com/">Online RegEx tester &amp; debugger</a></span>
        <h4>Answer hints</h4>
        <p>
            Textual hints are provided if the answer matches the given regular expression. 
            Only one hint is displayed at once: the first hint that matches, ignoring any hints with higher ordinals that might match.
            Double-click an empty regex trigger input to get a list of suggested expression templates.
        </p>
        <input type="text" id="test_regex_input" class="form-control" placeholder="Test your regex on the expression entered here..." />
        <table class="table">
            <thead>
                <th style="width: 50px">Active</th>
                <th style="width: 100px">Ordinal</td>
                <th style="width: 40%">Regex trigger</th>
                <th>Hint text</th>
            </thead>
            <tbody>
                <% if (!locals.code_question_hints) { 
                    locals.code_question_hints = [];
                } 
                for (var i = 0; i < code_question_hints.length + 5; ++i) { %>
                    <tr>
                        <td>
                            <% if (locals.code_question_hints && i < code_question_hints.length) { %>
                                <input type="hidden" name="code_question_hints[<%- i %>][id]" value="<%- code_question_hints[i].id %>" />
                            <% } %>
                            <input type="checkbox" class="form-check" 
                                name="code_question_hints[<%- i %>][is_active]" value="true"
                                <% if (i >= code_question_hints.length || code_question_hints[i].is_active) { %>checked<% } %>
                            />
                        </td>
                        <td>
                            <input type="number" min="1" max="100" class="form-control"
                                name="code_question_hints[<%- i %>][ordinal]"
                                value="<% if (i < code_question_hints.length) { %><%- code_question_hints[i].ordinal %><% } else { %><%- i + 1 %><% } %>"
                            />
                        </td>
                        <td>
                            <div class="input-group">
                                <input class="form-control input-regex" 
                                    name="code_question_hints[<%- i %>][regex_trigger]" 
                                    value="<% if (i < code_question_hints.length) { %><%- code_question_hints[i].answer_regex_trigger %><% } %>"
                                    list="answer_regex_trigger_template"
                                />
                                <div class="input-group-append">
                                    <button type="button" class="btn-test-regex btn btn-outline-secondary">Test</button>
                                </div>
                            </div>
                        </td>
                        <td>
                            <textarea class="form-control" id="code_question_hints_<%- i %>_hint_text" name="code_question_hints[<%- i %>][hint_text]" 
                                data-a2-type="code"><% if (i < code_question_hints.length) { %><%- code_question_hints[i].hint_text %><% } %></textarea>
                        </td>
                    </tr>
                <% } %>
            </tbody>
        </table>
    </div>
<% } %>
